Skip to main content
GET
/
networks
/
offers
/
{offerId}
Get Offer by ID
curl --request GET \
  --url https://api.eflow.team/v1/networks/offers/{offerId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_offer_id": 123,
  "network_id": 123,
  "network_advertiser_id": 123,
  "network_offer_group_id": 123,
  "name": "<string>",
  "offer_status": "active",
  "thumbnail_url": "<string>",
  "visibility": "public",
  "currency_id": "<string>",
  "destination_url": "<string>",
  "server_side_url": "<string>",
  "preview_url": "<string>",
  "html_description": "<string>",
  "internal_notes": "<string>",
  "network_category_id": 123,
  "project_id": "<string>",
  "date_live_until": "<string>",
  "conversion_method": "server_postback",
  "redirect_mode": "standard",
  "session_definition": "cookie",
  "session_duration": 123,
  "attribution_method": "first_touch",
  "is_caps_enabled": true,
  "daily_conversion_cap": 123,
  "weekly_conversion_cap": 123,
  "monthly_conversion_cap": 123,
  "global_conversion_cap": 123,
  "daily_payout_cap": 123,
  "weekly_payout_cap": 123,
  "monthly_payout_cap": 123,
  "global_payout_cap": 123,
  "daily_revenue_cap": 123,
  "weekly_revenue_cap": 123,
  "monthly_revenue_cap": 123,
  "global_revenue_cap": 123,
  "daily_click_cap": 123,
  "weekly_click_cap": 123,
  "monthly_click_cap": 123,
  "global_click_cap": 123,
  "is_use_scrub_rate": true,
  "scrub_rate_percentage": 123,
  "is_duplicate_filter_enabled": true,
  "is_block_already_converted": true,
  "is_use_secure_link": true,
  "is_allow_deep_link": true,
  "is_session_tracking_enabled": true,
  "is_whitelist_check_enabled": true,
  "network_tracking_domain_id": 123,
  "caps_timezone_id": 123,
  "app_identifier": "<string>",
  "labels": [
    "<string>"
  ],
  "time_created": 123,
  "time_saved": 123,
  "relationship": {}
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

offerId
integer
required

The unique offer ID.

Query Parameters

relationship
enum<string>

Include related data. Repeat for multiple relationships.

Available options:
advertiser,
offer_group,
visibility,
payout_revenue,
custom_cap_settings,
custom_scrub_rate_settings,
custom_payout_revenue_settings,
custom_creative_settings,
redirects,
traffic_filters,
targeting,
files,
audits,
source_name,
urls,
integrations,
campaigns,
reporting

Response

OK

network_offer_id
integer

Unique offer ID.

network_id
integer
network_advertiser_id
integer

Advertiser that owns this offer.

network_offer_group_id
integer

Offer group ID.

name
string

Offer name.

offer_status
enum<string>
Available options:
active,
paused,
pending,
deleted
thumbnail_url
string
visibility
enum<string>
Available options:
public,
require_approval,
private
currency_id
string
destination_url
string

Destination URL for the offer.

server_side_url
string

Server-side postback URL.

preview_url
string
html_description
string

HTML description of the offer.

internal_notes
string

Internal notes (not visible to affiliates).

network_category_id
integer
project_id
string
date_live_until
string

Offer expiration date (YYYY-MM-DD).

conversion_method
enum<string>
Available options:
server_postback,
http_image_pixel,
https_image_pixel,
http_iframe_pixel,
https_iframe_pixel,
javascript,
cookie_based
redirect_mode
enum<string>
Available options:
standard,
single_meta_refresh,
double_meta_refresh
session_definition
enum<string>
Available options:
cookie,
ip,
ip_user_agent,
google_ad_id,
idfa
session_duration
integer

Session duration in hours.

attribution_method
enum<string>
Available options:
first_touch,
last_touch
is_caps_enabled
boolean
daily_conversion_cap
integer
weekly_conversion_cap
integer
monthly_conversion_cap
integer
global_conversion_cap
integer
daily_payout_cap
integer
weekly_payout_cap
integer
monthly_payout_cap
integer
global_payout_cap
integer
daily_revenue_cap
integer
weekly_revenue_cap
integer
monthly_revenue_cap
integer
global_revenue_cap
integer
daily_click_cap
integer
weekly_click_cap
integer
monthly_click_cap
integer
global_click_cap
integer
is_use_scrub_rate
boolean
scrub_rate_percentage
integer
is_duplicate_filter_enabled
boolean
is_block_already_converted
boolean
is_session_tracking_enabled
boolean
is_whitelist_check_enabled
boolean
network_tracking_domain_id
integer
caps_timezone_id
integer
app_identifier
string
labels
string[]
time_created
integer
time_saved
integer
relationship
object

Related data (only present when requested via query parameter).